module Bindings.Bfd.Disasm.I386.CondCode where


data CondCode = Above
              | AboveOrEqual
              | Below
              | BelowOrEqual
              | Equal
              | Greater
              | GreaterOrEqual
              | Less
              | LessOrEqual
              | NotEqual
              | NotSigned
              | Parity
              | Signed
              | Zero
     deriving (Show)


toCondCode
   :: String
   -> Maybe CondCode
toCondCode ""  = Nothing
toCondCode "z" = Just Zero
toCondCode s  = error $ "toCondCode: " ++ show s
